%define module_name	virtualbox
%define module_version	2.1.4
%define module_release	alt0.M41

%define net_module_name	virtualbox-netfilter

%define kversion	2.6.25
%define krelease	alt8.M41.5
%define flavour		std-pae

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/misc

Summary: VirtualBox modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132633.8.M41.5
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.virtualbox.org/
BuildRequires(pre): rpm-build-kernel
BuildPreReq: gcc-c++
BuildRequires: perl
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: kernel-source-%net_module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 

Requires: %module_name-common

%description
This package contains VirtualBox modules (vboxdrv) that are needed
for VirtualBox to run. Note that you have to compile these modules on the
system with your VirtualBox version installed or you will have to specify
your VirtualBox version as `version' parameter when loading these modules
or in your /etc/modules.conf file.

%prep
%setup -T -c -n kernel-source-%module_name-%module_version
%__tar jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%__tar jxvf %kernel_src/kernel-source-%net_module_name-%module_version.tar.bz2

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make -C kernel-source-%module_name-%module_version \
    KERN_DIR=%_usrsrc/linux-%kversion-%flavour/
cp kernel-source-%module_name-%module_version/Module.symvers \
    kernel-source-%net_module_name-%module_version
%make -C kernel-source-%net_module_name-%module_version \
    KERN_DIR=%_usrsrc/linux-%kversion-%flavour/

%install
%__mkdir_p %buildroot/%module_dir
%__install -pD -m644 kernel-source-%module_name-%module_version/vboxdrv.ko \
    %buildroot%module_dir/
%__install -pD -m644 kernel-source-%net_module_name-%module_version/vboxnetflt.ko \
    %buildroot%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Aug 17 2009 Michail Yakushin <silicium@altlinux.ru> 2.1.4-alt0.M41.132633.8.M41.5
- Build for kernel-image-std-pae-2.6.25-alt8.M41.5.

* Sun Mar 15 2009 Evgeny Sinelnikov <sin@altlinux.ru> 2.1.4-alt0.M41
- Updated to new release for branch 4.1

* Fri Dec 26 2008 Evgeny Sinelnikov <sin@altlinux.ru> 2.0.6-alt1
- Updated to last stable release for branch 4.1

* Fri Dec 19 2008 Evgeny Sinelnikov <sin@altlinux.ru> 2.1.0-alt1
- Updated to new release
- Built new netfilter module with vboxdrv Module.symvers

* Sat Nov 08 2008 Evgeny Sinelnikov <sin@altlinux.ru> 2.0.4-alt1
- Updated to new release

* Thu Sep 04 2008 Evgeny Sinelnikov <sin@altlinux.ru> 1.6.6-alt1
- Updated to last release

* Sun Aug 31 2008 Evgeny Sinelnikov <sin@altlinux.ru> 1.6.4-alt1
- Updated to last release

* Sun Jun 08 2008 Evgeny Sinelnikov <sin@altlinux.ru> 1.6.2-alt1
- Updated to last release

* Fri Apr 18 2008 Evgeny Sinelnikov <sin@altlinux.ru> 1.5.6-alt2
- Added requires for common package

* Fri Mar 28 2008 Evgeny Sinelnikov <sin@altlinux.ru> 1.5.6-alt1
- Initial virtualbox modules build

